#include <iostream>
#include <stdlib.h>

#include "Mat2d.h"
#include "Vec.h"
#include "basicTests.h"
#include "MVoperators.h"
#include "MVopsTests.h"




int main() {
   // tests from B05
   if(!testMatVec()) {
      std::cerr << "Mat-Vec test failed" << std::endl;
      return 1;
   } else {
      std::cout << "Mat-Vec test passed" << std::endl;
   }

   
   // test from B06
   if(!testMatVecOps()) {
      std::cerr << "Mat-Vec-operators test failed" << std::endl;
      return 2;
   } else {
      std::cout << "Mat-Vec-operators test passed" << std::endl;
   }

   return 0;
}
